package src.test

import akka.actor.ActorDSL
import akka.actor.ActorDSL._
import src.BAALL.{SetNavigationDestination, RollandClient}
import src.ship.{SHIPTool, JavaLogging}

object TestRolland extends JavaLogging {
  def main(args: Array[String]) {
    // Rolland T2: 192.168.178.99, Port: 12349
    //var t1 = new RollandClient("192.168.178.100",12348) //Rolland T1 mit eeepc-sks1 "localhost",6669)
    var t2 = ActorDSL.actor(SHIPTool.akkaSystem)(new RollandClient("192.168.178.99", 12349, "T2", Set.empty))
    //Rolland T2 mit eeepc-sks3 "localhost",6669)
    var t1 = //ActorDSL.actor(SHIPTool.akkaSystem)(new RollandClient("baall-gate.informatik.uni-bremen.de", 12348, "T1", Set.empty))
        ActorDSL.actor(SHIPTool.akkaSystem)(new RollandClient("192.168.178.100", 12348, "T1", Set.empty))
    //val ro = new RollandClient("192.168.114.183",12348) //Christian Mandel"localhost",6669)
    var dest = SetNavigationDestination("294892250")
    var dest1 = SetNavigationDestination("11480149")
    var destfridge = SetNavigationDestination("Fridge")

    var desttable = SetNavigationDestination("Table")
    var deststart = SetNavigationDestination("Start")
    var destdesk = SetNavigationDestination("Desk")
    var destbedright = SetNavigationDestination("BedRight")
    var deststop = SetNavigationDestination("Stop")
    var destcouch = SetNavigationDestination("Couch")
    var destaila = SetNavigationDestination("Aila")

    t1 ! deststart
  }
}
